package meerkat.crypto;

import meerkat.protobuf.BulletinBoardAPI.*;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 18-Dec-15.
 * Extends the Digest interface with a method for digesting Batch messages
 */
public interface BatchDigest extends Digest{

    /**
     * Update the digest with the
     * @param beginBatchMessage is the message that starts the batch
     * @param batchDataList is the (ordered) list of data in the batch
     */
    public void update(BeginBatchMessage beginBatchMessage, List<BatchData> batchDataList);

}
